
    .custom-md h1 {

        font-size: 1.875rem;

        line-height: 2.25rem;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        margin: -0.125rem !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        margin-left: 0.2ch !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        user-select: none !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        padding: 0.125rem !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        text-decoration-line: none !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        opacity: 0 !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor {

        transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter !important;

        transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1) !important;

        transition-duration: 150ms !important;
}
:is(:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6) .anchor) .anchor-icon {

        margin-left: 0.45ch !important;

        margin-right: 0.45ch !important;
}
:is(.custom-md h1,.custom-md h2,.custom-md h3,.custom-md h4,.custom-md h5,.custom-md h6):hover .anchor {

        opacity: 1 !important;
}
.custom-md a:not(.no-styling) {

        position: relative;
}
.custom-md a:not(.no-styling) {

        margin: -0.25rem;
}
.custom-md a:not(.no-styling) {

        border-radius: 0.375rem;
}
.custom-md a:not(.no-styling) {

        background-image: none;
}
.custom-md a:not(.no-styling) {

        padding: 0.25rem;
}
.custom-md a:not(.no-styling) {

        font-weight: 500;
}
.custom-md a:not(.no-styling) {

        color: var(--primary);
}
.custom-md a:not(.no-styling) {

        text-decoration-line: underline;
}
.custom-md a:not(.no-styling) {

        text-decoration-color: var(--link-underline);
}
.custom-md a:not(.no-styling) {

        text-decoration-style: dashed;
}
.custom-md a:not(.no-styling) {

        text-decoration-thickness: 1px;
}
.custom-md a:not(.no-styling) {

        text-underline-offset: 4px;
}
.custom-md a:not(.no-styling) {

        transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;

        transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);

        transition-duration: 150ms;
}
:is(.custom-md a:not(.no-styling)):hover,:is(.custom-md a:not(.no-styling)):active {

        text-decoration-color: transparent;
}
.custom-md code {

        overflow: hidden;
}
.custom-md code {

        border-radius: 0.375rem;
}
.custom-md code {

        background-color: var(--inline-code-bg);
}
.custom-md code {

        padding-left: 0.25rem;

        padding-right: 0.25rem;
}
.custom-md code {

        padding-top: 0.125rem;

        padding-bottom: 0.125rem;
}
.custom-md code {

        color: var(--inline-code-color);
}
.custom-md code {

        font-family: 'JetBrains Mono Variable', ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace;
    }
:is(.custom-md code):before {
            content:none;
        }
:is(.custom-md code):after {
            content:none;
        }
.custom-md code {

        counter-reset: line;
    }
:is(:is(.custom-md code) span.line):before {

        margin-right: 1rem;
}
:is(:is(.custom-md code) span.line):before {

        display: inline-block;
}
:is(:is(.custom-md code) span.line):before {

        width: 1rem;
}
:is(:is(.custom-md code) span.line):before {

        color: rgb(255 255 255 / 0.25);
}
:is(:is(.custom-md code) span.line):before {
                content: counter(line);
                counter-increment: line;
                direction: rtl;
            }
:is(:is(.custom-md code) span.line):last-child:empty,:is(:is(.custom-md code) span.line):last-child:has( > span:empty:only-child) {
                display: none;
            }
.custom-md pre {

        background-color: var(--codeblock-bg) !important;
}
.custom-md pre {

        border-radius: 0.75rem;
}
.custom-md pre {

        padding-left: 1.25rem;

        padding-right: 1.25rem;
}
:is(.custom-md pre) code {

        background-color: transparent;
}
:is(.custom-md pre) code {

        padding: 0px;
}
:is(.custom-md pre) code {

        font-size: 0.875rem;

        line-height: 1.25rem;
}
:is(.custom-md pre) code {

        color: inherit;
}
:is(:is(.custom-md pre) code) ::selection {

        background-color: var(--codeblock-selection);
}
:is(.custom-md ul,.custom-md ol) li::marker {

        color: var(--primary);
}
.custom-md blockquote {

        position: relative;
}
.custom-md blockquote {

        border-color: transparent;
}
.custom-md blockquote {

        font-style: normal;
}
.custom-md blockquote {
        font-weight: inherit;

    }
:is(.custom-md blockquote):before {

        position: absolute;
}
:is(.custom-md blockquote):before {

        left: -0.25rem;
}
:is(.custom-md blockquote):before {

        display: block;
}
:is(.custom-md blockquote):before {

        height: 100%;
}
:is(.custom-md blockquote):before {

        width: 0.25rem;
}
:is(.custom-md blockquote):before {

        border-radius: 9999px;
}
:is(.custom-md blockquote):before {

        background-color: var(--btn-regular-bg);
}
:is(.custom-md blockquote):before {

        transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;

        transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);

        transition-duration: 150ms;
}
:is(.custom-md blockquote):before {

        --tw-content: '';

        content: var(--tw-content);
}

/* Remove the double quotes from default styles */
:is(.custom-md blockquote) p:before,:is(.custom-md blockquote) p:after {

        --tw-content: none;

        content: var(--tw-content);
}
